<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="modelView"
            type="com.example.exchangerates.ui.fragment.exchange.model.CurrencyModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingLeft="@dimen/horizontal_padding_middle"
        android:paddingTop="@dimen/vertical_padding_middle"
        android:paddingRight="@dimen/horizontal_padding_middle"
        android:paddingBottom="@dimen/vertical_padding_small">

        <TextView
            android:id="@+id/nameView"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@{modelView.getName}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/codeNameView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/vertical_padding_small"
            android:paddingRight="@dimen/horizontal_padding_middle"
            android:text="@{modelView.getCodeName}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/rateView"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/nameView"
            tools:ignore="RtlHardcoded,RtlSymmetry" />

        <TextView
            android:id="@+id/rateView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/vertical_padding_small"
            android:text="@{modelView.getRate}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/nameView" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>